Get all counterparts

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

ibanstringOptional<=34 characters
The IBAN of the counterpart's bank account.
sort_codestringOptional<=100 characters
The bank's sort code.
account_numberstringOptional<=100 characters
The bank account number. Required for US bank accounts to accept ACH payments. US account numbers contain 9 to 12 digits. UK account numbers typically contain 8 digits.
tax_idstringOptional<=30 characters
The tax ID of the counterpart.
vat_idstringOptional<=30 characters
The VAT ID of the counterpart.
id__instringOptionalformat: "uuid"
A list of counterpart IDs to search through.
orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort"counterpart_name"Optional

The field to sort the results by. Typically used together with the order parameter.

typeenumOptional
Allowed values:
counterpart_namestringOptional
counterpart_name__iexactstringOptional
counterpart_name__containsstringOptional
counterpart_name__icontainsstringOptional
is_vendorbooleanOptional
is_customerbooleanOptional
emailstringOptional
email__containsstringOptional
email__icontainsstringOptional
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
address.countrystringOptional
address.citystringOptional
address.postal_codestringOptional
address.statestringOptional
address.line1stringOptional
address.line2stringOptional
tag_ids__instringOptionalformat: "uuid"

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

401
Get Counterparts Request Unauthorized Error
403
Get Counterparts Request Forbidden Error
422
Get Counterparts Request Unprocessable Entity Error
429
Get Counterparts Request Too Many Requests Error